#
# spec file for package python-socketpool
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-socketpool
Version:        0.5.3
Release:        6.1
Summary:        Python socket pool
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/benoitc/socketpool
Source:         http://pypi.python.org/packages/source/s/socketpool/socketpool-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
Recommends:     python-eventlet
Recommends:     python-gevent
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Socket pool is a simple socket pool that suports multiple factories and
backends. It can easily be used by gevent, eventlet or any other library.

%prep
%setup -q -n socketpool-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}%{_prefix}/socketpool # Remove wrongly installed docs

# Fail for instance
#%check
#nosetests

%files
%defattr(-,root,root,-)
%doc README.rst *LICENSE examples
%{python_sitelib}/*

%changelog
* Tue Nov 19 2013 p.drouand@gmail.com
- Update to version 0.5.3
  + No changelog available
* Tue Jan 15 2013 p.drouand@gmail.com
- Update to version 0.5.2:
  * make sure the example works under all supported python's vms
  * fix example under python 3
  * fix priority queue initialization on pypy
* Wed Mar 14 2012 saschpe@suse.de
- Ran spec-cleaner
* Thu Feb  2 2012 saschpe@suse.de
- Initial version
